REM This script upgrades an Eclipse installation with Subclipse and B3
REM Run this script from within your Eclipse installation you want to upgrade, i.e.,
REM this script assumes to be in the same folder as your Eclipse launcher.

ECHO Installing Subclipse ...
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://subclipse.tigris.org/update_1.8.x -installIU org.tigris.subversion.subclipse.feature.group,org.tigris.subversion.clientadapter.feature.feature.group,org.tigris.subversion.clientadapter.javahl.feature.feature.group,org.tigris.subversion.clientadapter.svnkit.feature.feature.group,org.tmatesoft.svnkit.feature.group

ECHO Installing Buckminster ...
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/releases/indigo -installIU org.eclipse.zest.feature.group,org.eclipse.zest.sdk.feature.group
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/tools/buckminster/updates-4.2 -installIU org.eclipse.buckminster.core.feature.feature.group,org.eclipse.buckminster.pde.feature.feature.group,org.eclipse.buckminster.subclipse.feature.feature.group


ECHO Installing ConQAT Development Tools
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://www4.in.tum.de/~ccsm/eclipse_update_site -installIU org.conqat.ide.dev_tools_feature.feature.group


ECHO Installing Java8 support
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/eclipse/updates/4.3-P-builds/P20140317-1600/ -installIU org.eclipse.jdt.a2.java8patch.feature.group,org.eclipse.jdt.java8patch.feature.group,org.eclipse.pde.java8patch.feature.group

ECHO Installing SWTBot
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://download.eclipse.org/technology/swtbot/releases/2.4.0/ -installIU org.eclipse.swtbot.feature.group

ECHO Installing nebula widgets
eclipsec.exe -noSplash -application org.eclipse.equinox.p2.director -repository http://archive.eclipse.org/nebula/Q12015/release/ -installIU org.eclipse.nebula.feature.feature.group
